Object.defineProperty(exports, "__esModule", {value: true});

/*body*/
var $1 = require('@formidablejs/framework'/*$path$*/);
var $2 = require('./Driver'/*$path$*/);
var $3 = require('./Drivers/ConsoleDriver'/*$path$*/);
var $4 = require('./Drivers/DailyDriver'/*$path$*/);
var $5 = require('./Drivers/SingleDriver'/*$path$*/);
var $6 = require('./Drivers/SlackDriver'/*$path$*/);
var $7 = require('./Drivers/StackDriver'/*$path$*/);
var $8 = require('./Exceptions/ConfigMissingException'/*$path$*/);
var $9 = require('./Logger'/*$path$*/);
var $10 = require('./Logger'/*$path$*/);
var $11 = require('./Logger'/*$path$*/);
class LoggerServiceResolver extends $1.ServiceResolver {
	
	
	/**
	@returns { any }
	*/
	get channel(){
		
		const name = this.app.config.get('logging.default');
		
		return this.app.config.get(("logging.channels." + name));
	}
	
	/**
	@returns { HandlerInterface }
	*/
	get handler(){
		
		if (!(this.channel)) {
			
			throw new $8.ConfigMissingException("Logging config is missing");
		};
		
		const driver = $9.get(this.channel.driver);
		
		return (new driver(this.channel)).handler();
	}
	
	boot(){
		
		$2.Driver.setConfig(this.app.config);
		
		$11.register('stack',$7.StackDriver);
		$11.register('single',$5.SingleDriver);
		$11.register('daily',$4.DailyDriver);
		$11.register('console',$3.ConsoleDriver);
		$11.register('slack',$6.SlackDriver);
		
		return $10.Log.handlers.add(this.handler);
	}
};
exports.LoggerServiceResolver = LoggerServiceResolver;
